Download it now!
Bug 68211 - FILEOPEN: "General input/output error" on loading a .docx file
Summary: FILEOPEN: "General input/output error" on loading a .docx file
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.4 release
Hardware: Other Windows (All)
: medium normal
Assignee: Tushar Bende
URL:
Whiteboard: BSA target:4.3.0 target:4.2.1
Keywords:
: 72786 (view as bug list)
Depends on:
Blocks:
 
Reported: 2013-08-17 07:27 UTC by Sergey Pashinin
Modified: 2014-01-11 19:41 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
test document (44.78 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-08-17 07:27 UTC, Sergey Pashinin
Details
"General input/output error" while opening file in LibreOffice (20.53 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2013-12-02 07:12 UTC, Yogesh Bharate
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergey Pashinin 2013-08-17 07:27:24 UTC
Created attachment 84161 [details]
test document

Problem description: 

Just can't open a file.
LO says:

General error.
General input/output error.


Steps to reproduce:
1. Open an attached file

LO 4.0.2 on Ubuntu opens it fine.
I only have problem with 4.1.0.4 on Windows 7.
Operating System: Windows 7
Version: 4.1.0.4 release
Comment 1 bfoman (inactive) 2013-08-17 09:55:42 UTC
Confirmed with:
Version: 4.2.0.0.alpha0+
Build ID: 087a610fcd5c0c354a9ed6bfccd3451b667d62a3
TinderBox: Win-x86@6-debug, Branch:master, Time: 2013-08-04_21:41:24
Windows 8.1 Enterprise Preview 64 bit
Comment 2 Yogesh Bharate 2013-12-02 07:12:54 UTC
Created attachment 90083 [details]
"General input/output error" while opening file in LibreOffice

For attached file getting similar error, working on fix.
Comment 3 Commit Notification 2013-12-16 12:09:44 UTC
Tushar Bende committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bee397a1e35fbc2717c56a8bd4a631ccfc185b6b

fdo#68211: Fix for "General input/output error" while opening file



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 surbhi.tongia 2013-12-18 07:16:16 UTC
Verified on Build : libo-master~2013-12-18_05.10.32_LibreOfficeDev_4.3.0.0.alpha0_Win_x86.
Now LibreOffice is opening files.
Comment 5 Jorendc 2013-12-29 21:45:57 UTC
(In reply to comment #4)
> Verified on Build :
> libo-master~2013-12-18_05.10.32_LibreOfficeDev_4.3.0.0.alpha0_Win_x86.
> Now LibreOffice is opening files.

I also can't reproduce an error anymore. Opens fine using Windows 8.1 with LibreOffice Version: 4.3.0.0.alpha0+
Build ID: 5be7ec4193b892e5643ff5f3f2e6755319569190
TinderBox: Win-x86@39, Branch:master, Time: 2013-12-27_23:55:02

@Tushar: Do we have to backport this to 4.2 branch as well?


Kind regards,
Joren
Comment 6 Tushar Bende 2013-12-30 05:35:29 UTC
(In reply to comment #5)
> I also can't reproduce an error anymore. Opens fine using Windows 8.1 with
> LibreOffice Version: 4.3.0.0.alpha0+
> Build ID: 5be7ec4193b892e5643ff5f3f2e6755319569190
> TinderBox: Win-x86@39, Branch:master, Time: 2013-12-27_23:55:02
> 
> @Tushar: Do we have to backport this to 4.2 branch as well?
> 
> 
> Kind regards,
> Joren

@Joren: Yes,It will be better if we backport this to 4.2 branch as well.
        Can you please mark this bug as fixed.
Comment 7 Jorendc 2013-12-30 10:35:49 UTC
(In reply to comment #6)
> @Joren: Yes,It will be better if we backport this to 4.2 branch as well.
>         Can you please mark this bug as fixed.

A backport sounds very reasonable to me for such kind of bugs. I hope developers agree on this part :-).

BTW: As developer whom worked on this bug, you may mark bugs as RESOLVED FIXED when the goal of the bug report is reached :). So, feel free to mark every 'done' bug as such. Others can mark it as VERIFIED FIXED once they can't reproduce the mentioned behavior.

PS: when you place a bug in RESOLVED FIXED it might happen you still have some review going on for backporting to older branches (4.2 and 4.1). Don't mind about that :-).

Kind regards,
Joren
Comment 8 Tushar Bende 2013-12-30 10:41:30 UTC
@Joren : Thanks for detailed explanation,I will take care of bug status in future.
Comment 9 Jorendc 2013-12-30 11:01:53 UTC
(In reply to comment #8)
> @Joren : Thanks for detailed explanation,I will take care of bug status in
> future.

Feel free to tell your colleagues too :-). And give them a warm "Thank you" from the whole LibreOffice community.

Kind regards,
Joren
Comment 10 Commit Notification 2014-01-11 19:39:59 UTC
Tushar Bende committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8a6c210f4b3ebec87575911a58facbe0f87e2c5d&h=libreoffice-4-2

fdo#68211 fdo#72786 Fix for "General input/output error" while opening file


It will be available in LibreOffice 4.2.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 11 Miklos Vajna 2014-01-11 19:41:28 UTC
*** Bug 72786 has been marked as a duplicate of this bug. ***